* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color: #091921;
}

.clock {
    width: 350px;
    height: 350px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url('clock.png');
    background-size: cover;
    border: 4px solid#091921;
    border-radius: 50%;
    box-shadow: 0 -15px 15px rgb(255, 255, 255, 0.05), inset 0 -15px 15px rgba(255, 255, 255, 0.05), 0 15px 15px rgba(0, 0, 0, 0.3), inset 0 15px 15px rgba(0, 0, 0, 0.3);
}

.clock:before {
    content: '';
    position: absolute;
    width: 15px;
    height: 15px;
    background-color: rgb(66, 74, 95);
    border-radius: 50%;
    z-index: 10000;
}

.clock .hour,
.clock .min,
.clock .sec {
    position: absolute;
}

.clock .hour,
.hr {
    width: 160px;
    width: 160px;
}

.clock .min,
.mn {
    width: 190px;
    width: 190px;
}

.hr,
.mn,
.sc {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.hr:before {
    position: absolute;
    top: -85px;
    content: '';
    width: 8px;
    height: 80px;
    background-color: #ff105e;
    border-radius: 50px;
    z-index: 10;
}

.mn:before {
    content: '';
    width: 4px;
    position: absolute;
    top: -85px;
    height: 90px;
    background-color: #fff;
    border-radius: 50px;
    z-index: 11;
}

.sc:before {
    content: '';
    position: absolute;
    width: 2px;
    top: -120px;
    height: 150px;
    background-color: #fff;
    border-radius: 50px;
    z-index: 12;
}